org.eclipse.jetty.servlet

## Class ServletContextHandler.JspPropertyGroup

- java.lang.Object
- - org.eclipse.jetty.servlet.ServletContextHandler.JspPropertyGroup

All Implemented Interfaces:
  javax.servlet.descriptor.JspPropertyGroupDescriptor

Enclosing class:
  ServletContextHandler

    public static class ServletContextHandler.JspPropertyGroup
    extends Object
    implements javax.servlet.descriptor.JspPropertyGroupDescriptor

### Constructor Summary

Constructors
Constructor and Description
`ServletContextHandler.JspPropertyGroup()`

### Method Summary

Methods
`void` `addIncludeCoda(String coda)`
`void` `addIncludePrelude(String prelude)`
`void` `addUrlPattern(String s)`
`String` `getBuffer()`
`String` `getDefaultContentType()`
`String` `getDeferredSyntaxAllowedAsLiteral()`
`String` `getElIgnored()`
`String` `getErrorOnUndeclaredNamespace()`
`Collection<String>` `getIncludeCodas()`
`Collection<String>` `getIncludePreludes()`
`String` `getIsXml()`
`String` `getPageEncoding()`
`String` `getScriptingInvalid()`
`String` `getTrimDirectiveWhitespaces()`
`Collection<String>` `getUrlPatterns()`
`void` `setBuffer(String buffer)`
`void` `setDefaultContentType(String defaultContentType)`
`void` `setDeferredSyntaxAllowedAsLiteral(String deferredSyntaxAllowedAsLiteral)`
`void` `setElIgnored(String s)`
`void` `setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)`
`void` `setIsXml(String isXml)`
`void` `setPageEncoding(String pageEncoding)`
`void` `setScriptingInvalid(String scriptingInvalid)`
`void` `setTrimDirectiveWhitespaces(String trimDirectiveWhitespaces)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServletContextHandler.JspPropertyGroup

    public ServletContextHandler.JspPropertyGroup()

### Method Detail

#### getUrlPatterns

    public Collection<String> getUrlPatterns()

Specified by:
  `getUrlPatterns` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getUrlPatterns()`

#### addUrlPattern

    public void addUrlPattern(String s)

#### getElIgnored

    public String getElIgnored()

Specified by:
  `getElIgnored` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getElIgnored()`

#### setElIgnored

    public void setElIgnored(String s)

#### getPageEncoding

    public String getPageEncoding()

Specified by:
  `getPageEncoding` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getPageEncoding()`

#### setPageEncoding

    public void setPageEncoding(String pageEncoding)

#### setScriptingInvalid

    public void setScriptingInvalid(String scriptingInvalid)

#### setIsXml

    public void setIsXml(String isXml)

#### setDeferredSyntaxAllowedAsLiteral

    public void setDeferredSyntaxAllowedAsLiteral(String deferredSyntaxAllowedAsLiteral)

#### setTrimDirectiveWhitespaces

    public void setTrimDirectiveWhitespaces(String trimDirectiveWhitespaces)

#### setDefaultContentType

    public void setDefaultContentType(String defaultContentType)

#### setBuffer

    public void setBuffer(String buffer)

#### setErrorOnUndeclaredNamespace

    public void setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)

#### getScriptingInvalid

    public String getScriptingInvalid()

Specified by:
  `getScriptingInvalid` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getScriptingInvalid()`

#### getIsXml

    public String getIsXml()

Specified by:
  `getIsXml` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getIsXml()`

#### getIncludePreludes

    public Collection<String> getIncludePreludes()

Specified by:
  `getIncludePreludes` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getIncludePreludes()`

#### addIncludePrelude

    public void addIncludePrelude(String prelude)

#### getIncludeCodas

    public Collection<String> getIncludeCodas()

Specified by:
  `getIncludeCodas` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getIncludeCodas()`

#### addIncludeCoda

    public void addIncludeCoda(String coda)

#### getDeferredSyntaxAllowedAsLiteral

    public String getDeferredSyntaxAllowedAsLiteral()

Specified by:
  `getDeferredSyntaxAllowedAsLiteral` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getDeferredSyntaxAllowedAsLiteral()`

#### getTrimDirectiveWhitespaces

    public String getTrimDirectiveWhitespaces()

Specified by:
  `getTrimDirectiveWhitespaces` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getTrimDirectiveWhitespaces()`

#### getDefaultContentType

    public String getDefaultContentType()

Specified by:
  `getDefaultContentType` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getDefaultContentType()`

#### getBuffer

    public String getBuffer()

Specified by:
  `getBuffer` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getBuffer()`

#### getErrorOnUndeclaredNamespace

    public String getErrorOnUndeclaredNamespace()

Specified by:
  `getErrorOnUndeclaredNamespace` in interface `javax.servlet.descriptor.JspPropertyGroupDescriptor`
See Also:
  `JspPropertyGroupDescriptor.getErrorOnUndeclaredNamespace()`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`